@import './variables.scss';

.ghost-style {
  p.excerpt {
    margin-top: 1.4375rem;
    margin-bottom: 1.4375rem;
    font-size: 1.0625rem;
    font-weight: bold;
  }

  h2 {
    font-size: 1.375rem;
    font-weight: bold;
    line-height: 1.2;
    margin-top: 1.5rem;
    margin-bottom: 1.5rem;
  }

  p,
  span,
  li {
    word-break: break-word;
    font-size: 1.0625rem;
    color: $brand-color;
    line-height: 1.5;

    a{
      font-weight: bold;
    }
  }

  p {
    margin-top: 1rem;
    margin-bottom: 1rem;
  }

  figure {
    margin-top: 1.5625rem;
    margin-bottom: 1.5625rem;
    text-align: center;
  }

  figcaption {
    font-size: 0.875rem;
    line-height: 1.4;
    color: $grey-dark-color;
  }

  ul {
    list-style: none;
    padding: 0;
    margin: 0;

    li::before {
      font-family: "Open sans", sans-serif;
      content: "• ";
      color: $tomato-color;
      font-size: 1.25rem;
    }
  }

  ol {
    list-style: inside decimal;
  }

  li {
    padding-left: 1em;
    text-indent: -0.7em;
  }

  // Set iframe height and width if not already defined in the inline style
  iframe:not([height]) {
    height: 300px;
  }

  .youtube_player iframe {
    height: 300px;
  }

  iframe:not([width]) {
    width: 100%;
  }

  @media screen and (max-width: $tablet) {
    h2 {
      font-size: 1.125rem;
    }
  }
}

.cgu-modal .ghost-style {

  p,
  span,
  li {
    font-size: 1rem;
  }
}
